Skip to main content
GET
/
v1
/
perps
/
orders
/
{orderID}
/
fills
Get Fills by Order ID
curl --request GET \
  --url https://api.ondoperps.xyz/v1/perps/orders/{orderID}/fills \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": [
    {
      "id": "70a37d8f972f2494837f9dba8364cbb4",
      "orderId": "197ec08e001658690721be129e7fa595",
      "market": "AAPL-USD.P",
      "price": "227.50",
      "size": "5.00",
      "side": "buy",
      "direction": "open long",
      "filledCost": "1137.50",
      "fee": "0.57",
      "time": "2025-03-05T14:30:00Z",
      "isMaker": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orderID
string
required

Internal order ID, or client:{clientOrderID} for client order ID lookup

Example:

"197ec08e001658690721be129e7fa595"

Response

List of fills for the order

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""

result
object[]